# eric4.Helpviewer.Network.EmptyNetworkReply

Module implementing a network reply class for an empty reply (i.e. request was handle other way).

### Global Attributes

None

### Classes

EmptyNetworkReply | Class implementing an empty network reply.

### Functions

None

## EmptyNetworkReply

Class implementing an empty network reply.

### Derived from

QNetworkReply

### Class Attributes

None

### Class Methods

None

### Methods

EmptyNetworkReply | Constructor
abort | Public slot to abort the operation.
readData | Protected method to retrieve data from the reply object.

### Static Methods

None

#### EmptyNetworkReply (Constructor)

EmptyNetworkReply(parent=None)

Constructor

parent
  reference to the parent object (QObject)

#### EmptyNetworkReply.abort

abort()

Public slot to abort the operation.

#### EmptyNetworkReply.readData

readData(maxlen)

Protected method to retrieve data from the reply object.

maxlen
  maximum number of bytes to read (integer)

Returns:
  string containing the data (string)

Up